mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Runtime.InteropServices.ComVisible(true) To be added

Represents a token that represents a string.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Checks if the given object is an instance of StringToken and is equal to this instance.

  true if is an instance of StringToken and is equal to this object; otherwise, false.

  The object to compare with this StringToken.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Indicates whether the current instance is equal to the specified .

  true if the value of is equal to the value of the current instance; otherwise, false.

  The to compare to the current instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this string.

  Returns the underlying string token.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether two structures are equal.

  true if is equal to ; otherwise, false.

  The to compare to . The to compare to .
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether two structures are not equal.

  true if is not equal to ; otherwise, false.

  The to compare to . The to compare to .
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Retrieves the metadata token for this string.